Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util.glsl.sdk
Class CompileShaderNVidia

    java.lang.Object
      com.sun.opengl.util.glsl.sdk.CompileShader
          com.sun.opengl.util.glsl.sdk.CompileShaderNVidia

    public class CompileShaderNVidia

extends CompileShader

Precompiles a shader into NVidia binary format. Input is the resource name of the shader, such as "com/sun/opengl/impl/glsl/fixed/shader/a.fp". Output is "com/sun/opengl/impl/glsl/fixed/shader/bin/nvidia/a.bfp".

Constructor Summary
`CompileShaderNVidia()`

Method Summary
`int` | `getBinaryFormat()`
`String` | `getFragmentShaderCompiler()`
`File` | `getSDKCompilerDir()`
`String` | `getVertexShaderCompiler()`
`static void` | `main(String[] args)`

Methods inherited from class com.sun.opengl.util.glsl.sdk.CompileShader
`basename, dirname, processOneShader, processOneShader, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompileShaderNVidia

    public CompileShaderNVidia()

Method Detail

### getBinaryFormat

    public int getBinaryFormat()

  Specified by:
    `getBinaryFormat` in class `CompileShader`

### getSDKCompilerDir

    public File getSDKCompilerDir()

  Specified by:
    `getSDKCompilerDir` in class `CompileShader`

### getVertexShaderCompiler

    public String getVertexShaderCompiler()

  Specified by:
    `getVertexShaderCompiler` in class `CompileShader`

### getFragmentShaderCompiler

    public String getFragmentShaderCompiler()

  Specified by:
    `getFragmentShaderCompiler` in class `CompileShader`

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.